import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import GitlabLogoLight from './GitlabLogoLight';
import GitlabLogoDark from './GitlabLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const GitlabLogoSvg = forwardRef(function GitlabLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(GitlabLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(GitlabLogoLight, Object.assign({}, props, { ref: ref })));
});
export default GitlabLogoSvg;
